
#ifndef _I_gravitycuda_H_
#define _I_gravitycuda_H_

#include <GL/glut.h>
#include <vector_types.h>
#include "global.h"


void deallocate_memory_cuda(void);
void allocate_memory_cuda(int N);

void moveParticlesCUDA(FLOATVEC* posvbo, float _DT, float3 _G, int _N, float3 _ATTRACT);

void copy_memory_cuda(int _N);

const int N = 5835;// 4096;//250000;//1000000;//500000;//250000;

extern FLOATVEC *pos_host;
extern FLOATVEC *acc_host;
extern FLOATVEC *vel_host;
extern FLOATVEC *forc_host;
extern float *mas_host;

#endif
